org.modeshape.jboss.service

## Class TextExtractorService

- java.lang.Object
- - org.modeshape.jboss.service.TextExtractorService

- All Implemented Interfaces:
    org.jboss.msc.service.Service<JcrRepository>, org.jboss.msc.value.Value<JcrRepository>

      public class TextExtractorService
      extends Object
      implements org.jboss.msc.service.Service<JcrRepository>

  `Service` implementation which exposes ModeShape's text extraction feature.

- - ### Field Summary

    - ### Fields inherited from interface org.jboss.msc.service.Service

      `NULL, NULL_VALUE`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TextExtractorService(String repositoryName, Properties extractorProperties)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.jboss.msc.value.InjectedValue<JcrRepository>` | `getJcrRepositoryInjector()`
    `org.jboss.msc.value.InjectedValue<ModeShapeEngine>` | `getModeShapeEngineInjector()`
    `JcrRepository` | `getValue()`
    `void` | `start(org.jboss.msc.service.StartContext arg0)`
    `void` | `stop(org.jboss.msc.service.StopContext arg0)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TextExtractorService

          public TextExtractorService(String repositoryName,
                              Properties extractorProperties)

  - ### Method Detail

    - #### getValue

          public JcrRepository getValue()
                                 throws IllegalStateException,
                                        IllegalArgumentException

      Specified by:
        `getValue` in interface `org.jboss.msc.value.Value<JcrRepository>`
      Throws:
        `IllegalStateException`
        `IllegalArgumentException`

    - #### start

          public void start(org.jboss.msc.service.StartContext arg0)
                     throws org.jboss.msc.service.StartException

      Specified by:
        `start` in interface `org.jboss.msc.service.Service<JcrRepository>`
      Throws:
        `org.jboss.msc.service.StartException`

    - #### stop

          public void stop(org.jboss.msc.service.StopContext arg0)

      Specified by:
        `stop` in interface `org.jboss.msc.service.Service<JcrRepository>`

    - #### getModeShapeEngineInjector

          public org.jboss.msc.value.InjectedValue<ModeShapeEngine> getModeShapeEngineInjector()

      Returns:
        the injector

    - #### getJcrRepositoryInjector

          public org.jboss.msc.value.InjectedValue<JcrRepository> getJcrRepositoryInjector()

      Returns:
        the jcrRepositoryInjector

Copyright © 2008-2014 JBoss, a division of Red Hat. All Rights Reserved.